Bug 226255 - Merge Review: perl-Digest-HMAC
Summary: Merge Review: perl-Digest-HMAC
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:35 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 10:35:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:35:17 UTC
Fedora Merge Review: perl-Digest-HMAC

http://cvs.fedora.redhat.com/viewcvs/devel/perl-Digest-HMAC/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-22 10:59:19 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)you may like to use disttag
3)rpmlint only complained ->
perl-Digest-HMAC.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
==>Use "sed -i -e 's|\t|  |g' perl-Digest-HMAC.spec"

Comment 2 Robin Norwood 2007-10-25 03:47:48 UTC
1) fixed
2) fixed
3) fixed

new version is perl-Digest-HMAC-1.01-17.fc9

Comment 3 Parag AN(पराग) 2007-10-25 04:37:26 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
32dc54c765100c638b5d7f7ff4c5c626  Digest-HMAC-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
 PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/rfc2202....ok
All tests successful.
Files=1, Tests=14,  0 wallclock secs ( 0.02 cusr +  0.00 csys =  0.02 CPU)
+ Package perl-Digest-HMAC-1.01-17.fc8 ->
  Provides: perl(Digest::HMAC) = 1.01 perl(Digest::HMAC_MD5) perl(Digest::HMAC_SHA1)
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Digest::HMAC) perl(Digest::MD5)
perl(Digest::SHA1) perl(Exporter) perl(strict) perl(vars)

APPROVED.



Comment 4 Parag AN(पराग) 2007-11-11 07:04:09 UTC
Can we CLOSE this review if package is already built and in rawhide?


Note You need to log in before you can comment on or make changes to this bug.